View Issue Details

IDProjectCategoryView StatusLast Update
0000860Far Manager 1.7xMacropublic2009-05-28 17:37
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.75 
Summary0000860: msave() - сохранение переменных содержащих \n
DescriptionНадо сохранять в multi-string, в противном случае возникают проблемы с экспортом/импортом
Steps To Reproduce%%Test="1\n2\n3\n";
msave("%%Test")

REG EXPORT HKCU\Software\Far\KeyMacros\Vars test.reg
REG DELETE HKCU\Software\Far\KeyMacros\Vars /v %%%%Test
REG IMPORT test.reg
Additional Informationhttp://forum.farmanager.com/viewtopic.php?f=20&t=4047
TagsNo tags attached.
Build2573

Activities

vskirdin

2009-05-08 13:08

administrator   bugnote:0003134

я правильно понимаю, что:
1. если встречается '\n', то REG_MULTISZ
2. если нет '\n'. то REG_SZ
или всегда REG_MULTISZ?

DiRTy_GaRRy

2009-05-08 13:42

developer   bugnote:0003135

vskirdin, зачем так усложнять делая два типа? Пускай всегда будет REG_MULTISZ.

JohnDoe

2009-05-08 13:54

updater   bugnote:0003136

Затем что REG_MULTISZ в reg-файлах нечитаем

JohnDoe

2009-05-08 13:55

updater   bugnote:0003137

Или может кто предложит более правильный способ экспорта/импорта?

vskirdin

2009-05-09 13:05

administrator   bugnote:0003138

> зачем так усложнять делая два типа?
а в чем сложность то?
технически не сложно, да и пользователю по идеи должно быть пофигу.

vskirdin

2009-05-13 11:26

administrator   bugnote:0003146

1.75 = build 2573
2.00 = build 906

Issue History

Date Modified Username Field Change
2009-05-08 12:42 JohnDoe New Issue
2009-05-08 13:08 vskirdin Note Added: 0003134
2009-05-08 13:42 DiRTy_GaRRy Note Added: 0003135
2009-05-08 13:54 JohnDoe Note Added: 0003136
2009-05-08 13:55 JohnDoe Note Added: 0003137
2009-05-09 13:05 vskirdin Note Added: 0003138
2009-05-13 11:25 vskirdin Status new => assigned
2009-05-13 11:25 vskirdin Assigned To => vskirdin
2009-05-13 11:26 vskirdin Note Added: 0003146
2009-05-13 11:26 vskirdin Status assigned => feedback
2009-05-28 16:14 JohnDoe Status feedback => resolved
2009-05-28 16:14 JohnDoe Resolution open => fixed
2009-05-28 17:37 vskirdin Build => 2573
2009-05-28 17:37 vskirdin Status resolved => closed
2009-05-28 17:37 vskirdin Fixed in Version => 1.75